Gatana logoGatana Docs
RoutesMcp serversServerslugCredentialsUser

/mcp-servers/{serverSlug}/credentials/user

Create or replace the credentials of the authenticated user for an MCP server. The credential type must match the authorization method of the server. Servers with transport type "stdio" or "hosted" are restarted to apply the new credentials

PUT
/mcp-servers/{serverSlug}/credentials/user
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
Length1 <= length

Request Body

application/json

type*string

Credential type discriminator, always "apikey"

apikeys*array<array<>>

API keys as [name, value] pairs

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/credentials/user" \  -H "Content-Type: application/json" \  -d '{    "type": "apikey",    "apikeys": [      [        "string",        "string"      ]    ]  }'
{
  "success": true
}